## org.h2.command.dml
Class Set

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.dml.Set

    public class Set

extends Prepared

This class represents the statement SET

Field Summary

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`Set(Session session, int type)`

Method Summary
`int` `getType()` Get the command type as defined in CommandInterface
`boolean` `isTransactional()` Check if this command is transactional.
`boolean` `needRecompile()` Check if the statement needs to be re-compiled.
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.
`void` `setExpression(Expression expression)`
`void` `setInt(int value)`
`void` `setString(java.lang.String v)`
`void` `setStringArray(java.lang.String[] list)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isCacheable, isQuery, isReadOnly, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Set

    public Set(Session session,
               int type)

Method Detail

### setString

    public void setString(java.lang.String v)

### isTransactional

    public boolean isTransactional()

  Description copied from class: `Prepared`
  Check if this command is transactional. If it is not, then it forces the current transaction to commit.

  Specified by:
    `isTransactional` in class `Prepared`
  Returns:
    true if it is

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### setInt

    public void setInt(int value)

### setExpression

    public void setExpression(Expression expression)

### needRecompile

    public boolean needRecompile()

  Description copied from class: `Prepared`
  Check if the statement needs to be re-compiled.

  Overrides:
    `needRecompile` in class `Prepared`
  Returns:
    true if it must

### queryMeta

    public ResultInterface queryMeta()

  Description copied from class: `Prepared`
  Get an empty result set containing the meta data.

  Specified by:
    `queryMeta` in class `Prepared`
  Returns:
    the result set

### setStringArray

    public void setStringArray(java.lang.String[] list)

### getType

    public int getType()

  Description copied from class: `Prepared`
  Get the command type as defined in CommandInterface

  Specified by:
    `getType` in class `Prepared`
  Returns:
    the statement type